TwirlImports (Gradle API 2.14.1)
Date: 2016-07-18

org.gradle.language.twirl

## Enum TwirlImports

- java.lang.Object
- - java.lang.Enum<TwirlImports>
  - - org.gradle.language.twirl.TwirlImports

- All Implemented Interfaces:
    Serializable, Comparable<TwirlImports>

      @Incubating
      public enum TwirlImports
      extends Enum<TwirlImports>

  Represents the available sets of default imports that can be used when compiling Twirl templates.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JAVA`
    `SCALA`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TwirlImports` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TwirlImports[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SCALA

          public static final TwirlImports SCALA

    - #### JAVA

          public static final TwirlImports JAVA

  - ### Method Detail

    - #### values

          public static TwirlImports[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TwirlImports c : TwirlImports.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TwirlImports valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null